- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理应用
- /
- 获取应用简单信息列表
¶ Get a list of simple application information
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Get a list of simple application information
¶ Method name
ManagementClient.list_application_simple_info
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| page | number | No | 1 | Current page number, starting from 1 | 1 |
| limit | number | No | 10 | Number per page, maximum cannot exceed 50, default is 10 | 10 |
| isIntegrateApp | boolean | No | - | Is it an integrated application? | |
| isSelfBuiltApp | boolean | No | - | Is it a self-built application? | |
| ssoEnabled | boolean | No | - | Is single sign-on enabled? | |
| keywords | string | No | - | Fuzzy search string | test |
¶ Request Response
Type: ApplicationSimpleInfoPaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"list": {
"appId": "62eaa95fe0xxxx9a5295bf7c",
"appIdentifier": "example",
"appName": "xx",
"appLogo": "xxxxx",
"appDescription": "xxxxxxx",
"appType": "web"
},
"totalCount": 10
}
}
¶ Data Structure
¶ ApplicationSimpleInfoPaginatedDataDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| list | array | Yes | List data Nested type: ApplicationSimpleInfoDto. | |
| totalCount | number | Yes | Total number of records | 10 |
¶ ApplicationSimpleInfoDto
| Name | Type | Is it required? | Description | Example value |
|---|---|---|---|---|
| appId | string | Yes | Application ID | 62eaa95fe0xxxx9a5295bf7c |
| appIdentifier | string | Yes | Application unique identifier | example |
| appName | string | Yes | Application name | Example application |
| appLogo | string | Yes | Application logo link | Example application |
| appDescription | string | No | Application description | Example description |
| appType | string | Yes | Application type | web |
| isIntegrateApp | boolean | Yes | Is it an integrated application? |
